#throw "This is not a robus script"
$location = Get-Location
Set-Location C:\Tools

Import-Module ActiveDirectory
$dNC = (Get-ADRootDSE).defaultNamingContext


#region Create Top Level OU's
./Step-01-Creation-OU.ps1
#endRegion 

#region Create Sub Admin OU's
./Step-02-Creation-Groupe.ps1
#endRegion

#region Create Sub Groups OU's
./Step-03-Set-OUUserPermissions.ps1
#endRegion

#region Create Sub User Accounts OU's
./Step-04-Set-OUWorkstationPermissions.ps1
#endRegion

#Region Block inheritance for PAW OUs
./Step-05-Set-OUGroupPermissions.ps1
#endRegion

#Region Create OU Delegation
./Step-06-Set-OUComputerPermissions.ps1
./Step-07-Set-OUReplicationPermissions.ps1
./Step-08-Set-OUGPOPermissions.ps1
#endRegion

Set-Location $location
